> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mavapay.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Accept Swap Quote

> Accept a quote to perform an internal currency swap



## OpenAPI

````yaml post /wallet/payout/{quoteId}/accept
openapi: 3.0.1
info:
  title: Mavapay API
  description: API documentation for Mavapay
  license:
    name: MIT
  version: 1.0.0
  contact:
    name: Mavapay
    url: https://mavapay.co
    email: info@mavapay.co
servers:
  - url: https://staging.api.mavapay.co/api/v1
    description: Staging server
  - url: https://api.mavapay.co/api/v1
    description: Live server
security:
  - ApiKeyAuth: []
    bearerAuth: []
tags:
  - name: Price
    description: Price related endpoints
  - name: Payment Link
    description: Payment Link endpoints for creating and managing hosted payment pages
paths:
  /wallet/payout/{quoteId}/accept:
    post:
      tags:
        - Wallet
      summary: Accept Swap Quote
      description: Accept a quote to perform an internal currency swap
      operationId: acceptQuote
      parameters:
        - name: quoteId
          in: path
          description: The ID of the quote to accept
          schema:
            type: string
            format: uuid
          required: true
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                sourceWallet:
                  type: string
                  description: The source wallet currency (e.g., 'NGN')
                  example: NGN
              required:
                - sourceWallet
        required: true
      responses:
        '200':
          description: Successful swap
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: string
                    example: ok
                  message:
                    type: string
                    example: quote is being processed
        '400':
          description: Invalid request or expired quote
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
      security:
        - ApiKeyAuth: []
        - bearerAuth: []
components:
  schemas:
    Error:
      required:
        - error
        - message
      type: object
      properties:
        status:
          type: string
          format: string
          example: error
        message:
          type: string
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-API-KEY
    bearerAuth:
      type: http
      scheme: bearer

````